unity (7.2.6+14.04.20160408-0ubuntu1) trusty; urgency=medium

  [ Andrea Azzarone ]
  * Don't use SetActivate from gnome-screensaver as it will not only
    deactivate the screensaver but also unlock the screen. (LP:
    #1552537)
  * Improve the "lock on suspend" logic to always keep in sync the
    inhibitor with the lockscreen. (LP: #1568031)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 08 Apr 2016 16:34:44 +0000

unity (7.2.6+14.04.20151021-0ubuntu1) trusty; urgency=medium

  * New upstream release

  [ Andrea Azzarone ]
  * Merge patch from https://launchpadlibrarian.net/216276242/low-gfx-
    override.patch (LP: #1491913)
  * Properly hide decorations when on "Show Desktop" mode. (LP: #1485073)
  * Do not handle events coming from viewports not actually containing the window.
    (LP: #1449654)
  * Make sure new icons are added to the model before calling SortAndUpdate
    (LP: #1458950)
  * GnomeSessionManager: Do not allow shutdown when screen is locked. (LP: #1460626)
  * GnomeSessionManager: Do not allow shutdown when screen is locked.

  [ Chris Townsend ]
  * When looking for the top-most valid window in a VP, also check if the window
    is focused if the window is set to Always on Top. This allows Launcher icon
    spread to work properly when a window is minimized an Always on Top exists in
    the group. (LP: #1131385)
  * Wait on Spread to be terminated before showing the Quicklist. (LP: #1441626)
  * If dragging an application:// uri type from the Dash to the desktop, change it
    to a file:// uri type so Nautilus can understand the type a make a copy of it
    on the desktop. (LP: #1241972)
  * Enable real page up/page down key navigation in the Dash. When using these
    keys the view scrolls the length of the visible view. (LP: #913612)
  * Save the active window when showing the Hud so the correct window is focused
    when hiding the Hud. Fixes issue when "Always on Top" windows are present.
    (LP: #1366583)
  * Save the active window when showing the Dash so the correct window is focused
    when hiding the Dash. Fixes issue when "Always on Top" windows are present.
    (LP: #1446634)
  * When using keyboard navigation in the Dash, skip category headers that are not
    expandable. Also, do not highlight the category header when the mouse cursor
    is over it. (LP: #1045933)
  * Also use the Compiz show() method when forcing an unmapped window to be
    visible when clicking on it's active Launcher icon. (LP: #989588)
  * Add option to enable and disable Unity low graphics mode on the fly in ccsm or
    via gsettings. (LP: #1412937)
  * UScreen, PanelService: get monitor at position, ignoring pre-
    multipled Gdk scale factor (LP: #1351591)

  [ Marco Trevisan (Treviño) ]
  * ResultViewGrid: wait for double-click event only if the relative result needs
    the Preview (LP: #1291950)
  * OverlayWindowButtons: trigger a queuedraw also when a child requires a redraw
    (LP: #1461618)
  * GnomeSessionManager: Request ScreenSaver (de)activation on VT changes (LP:
    #1405349)
  * UScreen, PanelService: get monitor at position, ignoring pre-multipled Gdk
    scale factor (LP: #1351591)
  * UScreen, PanelService: get monitor at position, ignoring pre-
    multipled Gdk scale factor (LP: #1351591)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 21 Oct 2015 15:54:44 +0000

unity (7.2.5+14.04.20150603-0ubuntu1) trusty; urgency=medium

  [ Chris Townsend ]
  * Revert rev. 3810 due to a crash being seen on Trusty when the
    lockscreen is activated. (LP: #1451613)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 03 Jun 2015 15:22:38 +0000

unity (7.2.5+14.04.20150521.1-0ubuntu1) trusty; urgency=medium

  [ Chris Townsend ]
  * Releasing 7.2.5.
  * Bump version to 7.2.5.
  * Use a 2 second delay before showing the first run shortcut hints to
    workaround a race condition on input handling. (LP: #1313597)

  [ Andrea Azzarone ]
  * Add the possibility to specify the font size and the font weight
    without chaning the default font name. (LP: #886478)
  * Do not restore focus if a quicklist is opened during launcher key
    navigation. (LP: #932486)
  * Draw osk above unity shell. (LP: #1413165)
  * Forward first key event that happens on top of the blank window to
    the lockscreen. (LP: #1308265)
  * Make sure scope_views_[filter.id] exists before using operator[] on
    it. (LP: #926979)
  * Release pointer barrier if launcher is in lock_hide state. (LP:
    #1029114)

  [ Brandon Schaefer ]
  * When we quit the quicklist it would check if the mouse was over the
    launcher, if it wasn't it would fold the launcher. We don't need to
    check this if we are in keynav as we want all the icons to be
    unfolded. (LP: #1246891)

  [ CI Train Bot ]
  * New rebuild forced.

  [ Stephen M. Webb ]
  * AP tests: accounted for arbitrarily-raised exceptions in checking
    scaled windows (LP: #1436095)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 21 May 2015 15:07:15 +0000

unity (7.2.4+14.04.20150316-0ubuntu1) trusty; urgency=medium

  [ Andrea Azzarone ]
  * Avoid running potentially dangerous code paths when the screen is
    locked. (LP: #1410582)
  * Ungrab the shoutdown dialog as soon as possible. (LP: #1398287)
  * Use COMPIZ_METAKEY where needed. (LP: #1363534)
  * disabled Pointer Barriers during lockscreen (LP: #1401911)
  * disabled markup for VolumeLauncherIcon quicklist menu items (LP:
    #1413411)
  * enable Dash, Hud, and session dialogs over full screen window (LP:
    #1159249, #860970, #1413773, #1404486)
  * made unity unlockable if user is in nopsswdlogin group (LP:
    #1413790)
  * skipped the animation of BGHash on startup to prevent unwanted fade-
    in (LP: #1241757)

  [ Luke Yelavich ]
  * extended accessible exploration of the Dash dynamic content (LP:
    #1066157)

  [ Marco Trevisan (Treviño) ]
  * MenuManager: make sure menus are always shown when mouse is over
    them or when the always-show-menus option is on (LP: #955193,
    #1390562, #1374942, #1312137)
  * PanelService: use gdbus to notfy upstart of service start/stop (LP:
    #1302955)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 16 Mar 2015 17:30:35 +0000

unity (7.2.4+14.04.20141217-0ubuntu1) trusty; urgency=medium

  [ Andrea Azzarone ]
  * Share lockscreen password between screens (lp: #1308540)
  * Allow a distinct pam config file for greeter and for lock-screen.
    (lp: #1305440)
  * Add an arrow activator in the lockscreen. (lp: #1332509)
  * Make sure GetScreenGeometry returns the correct value (lp: #1374785).
  * unmapped all windows prior to shutdown (lp: #1370017) (lp: #1375271)

  [ Brandon Schaefer ]
  * fix tooltip for the "Show Desktop / Restore Windows" icon in the Alt-Tab
    switcher (lp: #1237132)
  * Use CONFIG instead of CACHE to store the first_run.stamp (lp: #1328677)

  [ Eleni Maria Stea ]
  * LayoutSystem: make sure the exposed open windows are displayed in the
    preserved order (lp: #1349281).

  [ handsome_feng ]
  * added support for getting the distro name from /etc/os-release
    (lp: #1329584)

  [ Iain Lane ]
  * When grabbing keys, try prefixing "XF86" if the key isn't found. GNOME
    gives us unprefixed keys sometimes (lp: #1302885).

  [ Marco Trevisan (Treviño) ]
  * make the Launcher icon count badge width depend on the text value width
    and scaling (lp: #1353070) (lp: #1354498) (lp: #796527) (lp: #1066971)
    (lp: #1361713)
  * DecoratedWindow: make edges independent from borders and properly update
    them on actions change (lp: #1276177), (lp: #1299741), (lp: #1301776),
    (lp: #1324104), (lp: #1364225), (lp: #1373695)
  * Lockscreen: scale the UI elements based on current monitor scaling
    (lp: #1292218)
  * UnityScreen: when filtering out windows in spread, make sure we unscale
    them (lp: #1316265).
  * PanelMenuView: ensure that proper window tiles and buttons are shown at
    the right place (lp: #1384910) (lp: #1384958) (lp: #1385285)
  * SearchBar, ActionButtons, IconRenderer: include the font scaling when
    scaling textual items (lp: #1332947) (lp: #1361751) (lp: #1362162)
    (lp: #1362346).
  * ApplicationLauncherIcon: make sure we close the dash if DnD is accepted
    and the application window is about to be focused (lp: #1350331).
  * SwitcherView: set progress on icon render args (lp: #1361679).
  * LockScreenController: wait for the primary shield to get the grab
    before setting the session locked (lp: #1368427) (lp: #1371764).
  * added decorations to windows in non-focused workspaces (lp: #1383468)

  [ Stephen M. Webb ]
  * updated the unity(1) manpage to match the actual command (lp: #1059275)
  * bumped package version to match upstream

  [ Marco Trevisan (Treviño) ]
  * Preparing for unity 7.2.4

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 17 Dec 2014 20:52:10 +0000

unity (7.2.3+14.04.20140826-0ubuntu1) trusty; urgency=medium

  [ Andrea Azzarone ]
  * Remove cross fade effect during lock/unlocking. A simple fading
    works just fine. (LP: #1312107)
  * Manually emit nux::Area::geometry_changed beucase nux can fail to
    emit it. (LP: #1292391)

  [ Pawel Szubert ]
  * Reduce the scope of the kill command when restarting Compiz.
    (LP: #1324114)

  [ Marco Trevisan (Treviño) ]
  * LockScreenAcceleratorController: do ther configured action on power
    special keys press. We finally can suspend, shutdown, hibernate or
    start the screensaver when the screen is locked, using the Suspend,
    Sleep, Hibernate and PowerOff hardware keys. Also the Shutdown
    dialog doesn't allow now to lock the session if it is not allowed by
    settings. (LP: #1306211) (LP: #1320051) (LP: #1320071)
  * Previews: scale the dash preview contents to match current monitor
    scaling. Improved also the scaling of search-bar, spinner, categories
    and many other components. (LP: #1339629)
  * FilterWidgets: add support for scaling (LP: #1340171)
  * OverlayRendering: correctly scale the overlays borders and edges to
    match settings. DashStyle has been modified to return smart pointers
    of textures that are loaded depending on the scale level. The cache
    will make sure that we don't duplicate the textures and that they
    get removed when not needed anymore. Also thanks to this the
    SearchBarSpinner textures (and the other spinners as well) uses the
    SVGs scaled at the proper size (I desgined a new SVG for the
    magnifier, as we only had a PNG). (LP: #1283415) (LP: #1340394)
  * Hud: scale to match current DPI settings for monitor. (LP: #1340477)

  [ Eleni Maria Stea ]
  * Previews: scale the dash preview contents to match current monitor
    scaling. Improved also the scaling of search-bar, spinner, categories
    and many other components. (LP: #1339629)

  [ Stephen M. Webb ]
  * Reduce the scope of the kill command when restarting Compiz.
    (LP: #1324114)

  [ Chris Townsend ]
  * Bump version to 7.2.3.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 26 Aug 2014 13:49:00 +0000

unity (7.2.2+14.04.20140714-0ubuntu2) trusty; urgency=medium

  [ Andrea Azzarone ]
  * Remove cross fade effect during lock/unlocking. A simple fading
    works just fine. (LP: #1312107)
  * Manually emit nux::Area::geometry_changed beucase nux can fail to
    emit it. (LP: #1292391)
  * TextInput: use GdkKeymap to check the caps-lock status (LP: #1347735)

  [ Pawel Szubert ]
  * Reduce the scope of the kill command when restarting Compiz.
    (LP: #1324114)

  [ Marco Trevisan (Treviño) ]
  * LockScreenAcceleratorController: do ther configured action on power
    special keys press. We finally can suspend, shutdown, hibernate or
    start the screensaver when the screen is locked, using the Suspend,
    Sleep, Hibernate and PowerOff hardware keys. Also the Shutdown
    dialog doesn't allow now to lock the session if it is not allowed by
    settings. (LP: #1306211) (LP: #1320051) (LP: #1320071)
  * Previews: scale the dash preview contents to match current monitor
    scaling. Improved also the scaling of search-bar, spinner, categories
    and many other components. (LP: #1339629)
  * FilterWidgets: add support for scaling (LP: #1340171)
  * OverlayRendering: correctly scale the overlays borders and edges to
    match settings. DashStyle has been modified to return smart pointers
    of textures that are loaded depending on the scale level. The cache
    will make sure that we don't duplicate the textures and that they
    get removed when not needed anymore. Also thanks to this the
    SearchBarSpinner textures (and the other spinners as well) uses the
    SVGs scaled at the proper size (I desgined a new SVG for the
    magnifier, as we only had a PNG). (LP: #1283415) (LP: #1340394)
  * Hud: scale to match current DPI settings for monitor. (LP: #1340477)
  * PlacesOverlayVScrollBar and VScrollBarOverlayWindow: add support for
    scaling. Add a new ScrollView class to create ScrollViews with an
    OverlayScrollbar and with scaling support. Using them in dash Scopes and
    Previews. (LP: #1340996)
  * LockScreenShield: Add GrabScreen function and retry to make sure we really
    get the grab. It might happen that the grab is not possible because the
    PluginAdapter::IsScreenGrabbed request has still not being fully processed,
    and thus nux is not able to grab the pointer/keyboard. By doing this we
    instead try to grab the screen, and if this is not happening, we wait a
    little until we don't get the ungrab event. In this way, if we eventually
    get the grab, all will work as expected. Otherwise, we cancel the lock
    request (very unlikely to happen). (LP: #1349128)
  * PlacesOverlayVScrollBar: redirect the mouse wheel scroll events coming from
    the thumb to the scrollview. This will make the scrollview to handle then and
    perform the same scrolling action it would do otherwise. (LP: #1340992)
  * SwitcherView, PanelService: correctly handle horizontal and vertical scroll
    events (LP: #1342208) (LP: #1342731)

  [ Eleni Maria Stea ]
  * Previews: scale the dash preview contents to match current monitor
    scaling. Improved also the scaling of search-bar, spinner, categories
    and many other components. (LP: #1339629)

  [ Stephen M. Webb ]
  * Reduce the scope of the kill command when restarting Compiz.
    (LP: #1324114)

 -- Chris Townsend <christopher.townsend@canonical.com>  Wed, 23 Jul 2014 11:49:11 -0400

unity (7.2.2+14.04.20140714-0ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: more screen locking fixes (LP: #1349128)
    - debian/patches/lp1349128.patch: flush after ungrabbing the keyboard
      in unity-shared/PluginAdapter.cpp, add GrabScreen() function that
      retries to lockscreen/LockScreenController.cpp,
      lockscreen/LockScreenShield.cpp, lockscreen/LockScreenShield.h.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 30 Jul 2014 15:13:41 -0400

unity (7.2.2+14.04.20140714-0ubuntu1) trusty; urgency=medium

  [ Alfred Neumayer ]
  * Restore the launcher position by reversing the animation and
    unsetting the DND_PUSHED_OFF quirk. (LP: #1304882)

  [ Brandon Schaefer ]
  * TextInput: move the warning icon inside the input field, render it
    white (LP: #1307738)
  * ShutdownView: Scale up the Buttons and Text plus Borders of the
    UnityWindowView. (LP: #1308323)
  * Lockscreen warning icon needs a tooltip to say what the warning is
    about! (LP: #1308288)

  [ Marco Trevisan (Treviño) ]
  * UnityScreen: always paint the lockscreen above, just add menu and
    onboard as exceptions Some code cleanup, factorizing similar code.
    (LP: #1313280)
  * ApplicationLauncherIcon: Focus and, in case, Spread the windows on
    DnD After 1 second that an user is over an icon, that icon should
    focus the relative application and Spread its windows if it has more
    than one opened. Correctly handle the DnD scale in launcher, and
    apply glow to the icon under pointer. (LP: #607796)
  * ShutdownView: Scale up the Buttons and Text plus Borders of the
    UnityWindowView. (LP: #1308323)
  * SwitcherView: use RawPixel's for the size values and convert them to
    match current scaling (LP: #1317348)
  * PluginAdapter: try to grab the screen to make sure that the screen
    is not grabbed FocusIn event with NotifyGrab mode is not always
    triggered by X when a window takes the grab, then we need to ensure
    that there's no grab by trying to get one. We only care about
    keyboard here, since pointer grabs don't affect us in general.
    (LP: #741869)
  * ShortcutView: use RawPixel's for the size values and convert them to
    match current scaling Plus dinamically allocate horizontal space,
    not to cut the text. (LP: #924840)

  [ Chris Townsend ]
  * Fix issue where scaling the edge illumination up and down with the
    size of the Launcher icons would cause the illumination border to be
    offset and smaller than the icon. (LP: #1309739) 
  * Fix issue where the number of Launcher icon pips are not always
    properly updated when a new window of an already running application
    is opened. (LP: #1283775)
  * Fix issue where the Panel shadow would get drawn over drop down
    windows in full screen windows. (LP: #1316005)
  * Bump upstream release to 7.2.2.

  [ Andrea Azzarone ]
  * Clear the clipboard when locking the screen. (LP: #1308911)
  * Disable switcher gestures if screen is locked. Fixed a regression.
    (LP: #1321043)
  * Pass the correct options to showLauncherKeyTerminate in
    UnityScreen::OnLockScreen (LP: #1320438)
  * Fix skype indicator blinking. (LP: #1310200)
  * Add a warning in the session dialog if other sessions are still
    open. (LP: #1281058)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 14 Jul 2014 14:31:00 +0000

# For older changelog entries, run 'apt-get changelog unity-autopilot'
